Reference
Agent specs
List Specs
Query Parameters
limit?integer
Default
100Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valuemode?|
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/agents/specs"{
"specs": [
{
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"description": "string",
"frontmatter": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"markdown": "string",
"mode": "string",
"name": "string",
"resourcePreview": [
{}
],
"resources": [
{
"agentSpecId": "d6712993-8587-454e-b8bf-05ae5d316c13",
"createdAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"metadata": {},
"resourceType": "url",
"source": "frontmatter",
"updatedAt": "2019-08-24T14:15:22Z",
"value": "string"
}
],
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Spec
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
markdown*string
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/agents/specs" \ -H "Content-Type: application/json" \ -d '{ "markdown": "string" }'{
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"description": "string",
"frontmatter": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"markdown": "string",
"mode": "string",
"name": "string",
"resourcePreview": [
{}
],
"resources": [
{
"agentSpecId": "d6712993-8587-454e-b8bf-05ae5d316c13",
"createdAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"metadata": {},
"resourceType": "url",
"source": "frontmatter",
"updatedAt": "2019-08-24T14:15:22Z",
"value": "string"
}
],
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Spec
Path Parameters
spec_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/agents/specs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"description": "string",
"frontmatter": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"markdown": "string",
"mode": "string",
"name": "string",
"resourcePreview": [
{}
],
"resources": [
{
"agentSpecId": "d6712993-8587-454e-b8bf-05ae5d316c13",
"createdAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"metadata": {},
"resourceType": "url",
"source": "frontmatter",
"updatedAt": "2019-08-24T14:15:22Z",
"value": "string"
}
],
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Spec
Path Parameters
spec_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
markdown*string
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/agents/specs/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "markdown": "string" }'{
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"description": "string",
"frontmatter": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"markdown": "string",
"mode": "string",
"name": "string",
"resourcePreview": [
{}
],
"resources": [
{
"agentSpecId": "d6712993-8587-454e-b8bf-05ae5d316c13",
"createdAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"metadata": {},
"resourceType": "url",
"source": "frontmatter",
"updatedAt": "2019-08-24T14:15:22Z",
"value": "string"
}
],
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Spec
Path Parameters
spec_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/agents/specs/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Execute Spec
Path Parameters
spec_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/agents/specs/497f6eca-6276-4993-bfeb-53cbbbba6f08/execute"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Runs
Path Parameters
spec_id*string
Format
uuidQuery Parameters
limit?integer
Default
100Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/agents/specs/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs"{
"runs": [
{
"agentSpecId": "d6712993-8587-454e-b8bf-05ae5d316c13",
"completedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"decisionId": "caa985ad-f12f-4ef1-943f-c1812738ec7a",
"error": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"input": {},
"result": {},
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "string",
"triggerSourceId": "bee4343e-fed3-4af5-b3cb-ae72c692f618",
"triggerSourceType": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Spec Stats
Path Parameters
spec_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/agents/specs/497f6eca-6276-4993-bfeb-53cbbbba6f08/stats"{
"avgDurationSeconds": 0,
"cancelledRuns": 0,
"completedRuns": 0,
"crystallizationCount": 0,
"failedRuns": 0,
"negativeFeedback": 0,
"positiveFeedback": 0,
"successRate": 0,
"totalFeedback": 0,
"totalRuns": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}